NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.SketchInPlaceBuilder Class Reference

Use the NXOpen.SketchInPlaceBuilder to create or reattach a NXOpen.Sketch on a NXOpen.DatumPlane or planar NXOpen.Face . More...

Inheritance diagram for NXOpen.SketchInPlaceBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.SelectIReferenceAxis Axis [get]
 Returns the reference axis More...
 
unsafe NXOpen.AxisOrientation AxisOrientation [get, set]
 Returns or sets the reference axis orientation (horizontal or vertical) More...
 
unsafe NXOpen.AxisOrientation AxisOrientationInfer [get, set]
 Returns or sets the reference axis orientation (horizontal or vertical) More...
 
unsafe NXOpen.Direction AxisReference [get, set]
 Returns or sets the reference axis for sketch More...
 
unsafe bool CreateIntermediateDatumCsys [get, set]
 Returns or sets the create intermediate datum csys toggle. More...
 
unsafe
NXOpen.CartesianCoordinateSystem 
Csystem [get, set]
 Returns or sets the csys method for sketch More...
 
unsafe bool MakeOriginAssociative [get, set]
 Returns or sets the associative origin toggle. More...
 
unsafe NXOpen.OriginMethod OriginOption [get, set]
 Returns or sets the origin method for sketch More...
 
unsafe NXOpen.OriginMethod OriginOptionInfer [get, set]
 Returns or sets the origin method for sketch More...
 
unsafe NXOpen.Plane Plane [get]
 Returns the specified datum plane More...
 
unsafe NXOpen.Sketch.PlaneOption PlaneOption [get, set]
 Returns or sets the attachment plane option (existing plane, new plane, new csys) More...
 
unsafe NXOpen.SelectISurface PlaneOrFace [get]
 Returns the specified sketch plane More...
 
unsafe NXOpen.Plane PlaneReference [get, set]
 Returns or sets the placement plane for sketch More...
 
unsafe bool ProjectWorkPartOrigin [get, set]
 Returns or sets the create project work part origin toggle. More...
 
unsafe bool ReverseAxis [get, set]
 Returns or sets the flag to indicate the reference axis is reversed More...
 
unsafe bool ReversePlaneNormal [get, set]
 Returns or sets the flag to indicate the normal direction of the sketch plane is reversed. More...
 
unsafe NXOpen.Point SketchOrigin [get, set]
 Returns or sets the origin point for sketch More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Use the NXOpen.SketchInPlaceBuilder to create or reattach a NXOpen.Sketch on a NXOpen.DatumPlane or planar NXOpen.Face .

To create a new instance of this class, use NXOpen.SketchCollection.CreateNewSketchInPlaceBuilder

Default values.

Property Value

CreateIntermediateDatumCsys (deprecated)

1

MakeOriginAssociative (deprecated)

1

PlaneOption

Inferred

Created in NX5.0.0

Property Documentation

unsafe NXOpen.SelectIReferenceAxis NXOpen.SketchInPlaceBuilder.Axis
get

Returns the reference axis

Created in NX5.0.0

Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.AxisReference instead.

License requirements: None.

unsafe NXOpen.AxisOrientation NXOpen.SketchInPlaceBuilder.AxisOrientation
getset

Returns or sets the reference axis orientation (horizontal or vertical)

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.AxisOrientation NXOpen.SketchInPlaceBuilder.AxisOrientationInfer
getset

Returns or sets the reference axis orientation (horizontal or vertical)

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Direction NXOpen.SketchInPlaceBuilder.AxisReference
getset

Returns or sets the reference axis for sketch

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchInPlaceBuilder.CreateIntermediateDatumCsys
getset

Returns or sets the create intermediate datum csys toggle.

Created in NX7.5.0

Deprecated in NX11.0.0. None

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.CartesianCoordinateSystem NXOpen.SketchInPlaceBuilder.Csystem
getset

Returns or sets the csys method for sketch

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchInPlaceBuilder.MakeOriginAssociative
getset

Returns or sets the associative origin toggle.

Created in NX7.5.0

Deprecated in NX11.0.0. None

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.OriginMethod NXOpen.SketchInPlaceBuilder.OriginOption
getset

Returns or sets the origin method for sketch

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

unsafe NXOpen.OriginMethod NXOpen.SketchInPlaceBuilder.OriginOptionInfer
getset

Returns or sets the origin method for sketch

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

unsafe NXOpen.Plane NXOpen.SketchInPlaceBuilder.Plane
get

Returns the specified datum plane

Created in NX5.0.0

Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.PlaneReference instead.

License requirements: None.

unsafe NXOpen.Sketch.PlaneOption NXOpen.SketchInPlaceBuilder.PlaneOption
getset

Returns or sets the attachment plane option (existing plane, new plane, new csys)

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectISurface NXOpen.SketchInPlaceBuilder.PlaneOrFace
get

Returns the specified sketch plane

Created in NX5.0.0

Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.PlaneReference instead.

License requirements: None.

unsafe NXOpen.Plane NXOpen.SketchInPlaceBuilder.PlaneReference
getset

Returns or sets the placement plane for sketch

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")

unsafe bool NXOpen.SketchInPlaceBuilder.ProjectWorkPartOrigin
getset

Returns or sets the create project work part origin toggle.

Created in NX7.5.0

Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.OriginOption instead.

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.SketchInPlaceBuilder.ReverseAxis
getset

Returns or sets the flag to indicate the reference axis is reversed

Created in NX5.0.0

Deprecated in NX11.0.0. None

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.SketchInPlaceBuilder.ReversePlaneNormal
getset

Returns or sets the flag to indicate the normal direction of the sketch plane is reversed.

This is not applicable when the plane is a Face.

Created in NX5.0.0

Deprecated in NX11.0.0. None

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.SketchInPlaceBuilder.SketchOrigin
getset

Returns or sets the origin point for sketch

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.